Qt Cryptographic Architecture: QCA::TextFilter Class Reference

Qt Cryptographic Architecture

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
QCA::TextFilter Class Reference
QCA user API

`#include <QtCrypto>`

Collaboration diagram for QCA::TextFilter:
[legend]

## Public Member Functions
QString | arrayToString (const MemoryRegion &a)
MemoryRegion | decode (const MemoryRegion &a)
QString | decodeString (const QString &s)
Direction | direction () const
MemoryRegion | encode (const MemoryRegion &a)
QString | encodeString (const QString &s)
void | setup (Direction dir)
MemoryRegion | stringToArray (const QString &s)
| TextFilter (Direction dir)
Public Member Functions inherited from QCA::Filter
virtual void | clear ()=0
virtual MemoryRegion | final ()=0
virtual bool | ok () const =0
MemoryRegion | process (const MemoryRegion &a)
virtual MemoryRegion | update (const MemoryRegion &a)=0

## Protected Attributes
Direction | _dir

## Detailed Description

Superclass for text based filtering algorithms.

This differs from Filter in that it has the concept of an algorithm that works in two directions, and supports operations on QString arguments.

## Constructor & Destructor Documentation

QCA::TextFilter::TextFilter | ( | Direction | dir | ) |

Standard constructor.

Parameters

  dir | the Direction that this TextFilter should use.

## Member Function Documentation

void QCA::TextFilter::setup | ( | Direction | dir | ) |

Reset the TextFilter.

Parameters

  dir | the Direction that this TextFilter should use.

Direction QCA::TextFilter::direction | ( |  | ) | const

The direction the TextFilter is set up to use.

MemoryRegion QCA::TextFilter::encode | ( | const MemoryRegion & | a | ) |

Process an array in the "forward" direction, returning an array.

This method runs in the forward direction, so for something like a Base64 encoding, it takes the "native" array, and returns that array encoded in base64.

Parameters

  a | the array to encode

MemoryRegion QCA::TextFilter::decode | ( | const MemoryRegion & | a | ) |

Process an array in the "reverse" direction, returning an array.

This method runs in the reverse direction, so for something like a Base64 encoding, it takes a Base64 encoded array, and returns the "native" representation.

Parameters

  a | the array to decode

QString QCA::TextFilter::arrayToString | ( | const MemoryRegion & | a | ) |

Process an array in the "forward" direction, returning a QString.

This is equivalent to encode(), except that it returns a QString, rather than a byte array.

Parameters

  a | the array to encode

Examples:
  base64test.cpp, hextest.cpp, publickeyexample.cpp, saslclient.cpp, and saslserver.cpp.

MemoryRegion QCA::TextFilter::stringToArray | ( | const QString & | s | ) |

Process an string in the "reverse" direction, returning a byte array.

This is equivalent to decode(), except that it takes a QString, rather than a byte array.

Parameters

  s | the array to decode

Examples:
  saslclient.cpp, and saslserver.cpp.

QString QCA::TextFilter::encodeString | ( | const QString & | s | ) |

Process a string in the "forward" direction, returning a string.

This is equivalent to encode(), except that it takes and returns a QString, rather than byte arrays.

Parameters

  s | the string to encode

QString QCA::TextFilter::decodeString | ( | const QString & | s | ) |

Process a string in the "reverse" direction, returning a string.

This is equivalent to decode(), except that it takes and returns a QString, rather than byte arrays.

Parameters

  s | the string to decode

Examples:
  base64test.cpp, and hextest.cpp.

## Member Data Documentation

Direction QCA::TextFilter::_dir
| protected

Internal state variable for the Direction that the filter operates in.

The documentation for this class was generated from the following file:

- qca_textfilter.h